#include "vxBoot/terminal.h"
#include "vxBoot/loader.h"

/* hypervisor_elf_loader_error(): Display error information */
int loader_error(
	struct ld_error_db const * restrict const db,
	const char *restrict const prefix,
	int const errnum
) {
	for (int i = 0; db[i].strerror != NULL; ++i) {
		if (db[i].id != errnum)
			continue;
		terminal_write("%s %s\n", prefix, db[i].strerror);
		return (0);
	}
	return (-1);
}
